package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BasePreventFlood;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 九防台账-防洪
* @author wuhonghao
* @date 2021/11/12
*/
@Mapper
@Repository
public interface BasePreventFloodMapper {

    /**
    * 新增
    */
    int insert(BasePreventFlood basePreventFlood);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BasePreventFlood basePreventFlood);

    /**
    * 获取单个
    */
    BasePreventFlood getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BasePreventFlood> getList(BasePreventFlood basePreventFlood);

}
